{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/in_wget"
                }
            ],
            "steps": [
                {
                    "run": "#gunzip-workflow.cwl",
                    "in": [
                        {
                            "source": "#main/step_wget/out_wget_gz",
                            "id": "#main/step_gunzip/in_gunzip-workflow"
                        }
                    ],
                    "out": [
                        "#main/step_gunzip/out_gunzip-workflow"
                    ],
                    "id": "#main/step_gunzip"
                },
                {
                    "run": "#wget.cwl",
                    "in": [
                        {
                            "source": "#main/in_wget",
                            "id": "#main/step_wget/in_wget"
                        }
                    ],
                    "out": [
                        "#main/step_wget/out_wget_gz",
                        "#main/step_wget/out_wget_txt"
                    ],
                    "id": "#main/step_wget"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/step_gunzip/out_gunzip-workflow",
                    "id": "#main/final_gunzip"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/step_wget/out_wget_gz",
                    "id": "#main/final_wget_gz"
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#gunzip-workflow.cwl/in_gunzip-workflow"
                }
            ],
            "steps": [
                {
                    "run": "#gunzip.cwl",
                    "scatter": "#gunzip-workflow.cwl/step_gunzip-workflow/in_gunzip",
                    "in": [
                        {
                            "source": "#gunzip-workflow.cwl/in_gunzip-workflow",
                            "id": "#gunzip-workflow.cwl/step_gunzip-workflow/in_gunzip"
                        }
                    ],
                    "out": [
                        "#gunzip-workflow.cwl/step_gunzip-workflow/out_gunzip"
                    ],
                    "id": "#gunzip-workflow.cwl/step_gunzip-workflow"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#gunzip-workflow.cwl/step_gunzip-workflow/out_gunzip",
                    "id": "#gunzip-workflow.cwl/out_gunzip-workflow"
                }
            ],
            "id": "#gunzip-workflow.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.in_gunzip)",
                            "writable": true
                        }
                    ]
                }
            ],
            "baseCommand": [
                "gzip"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-d",
                        "valueFrom": "$(self.basename)"
                    },
                    "id": "#gunzip.cwl/in_gunzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*"
                    },
                    "id": "#gunzip.cwl/out_gunzip"
                }
            ],
            "id": "#gunzip.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "wget"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#wget.cwl/in_wget"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*.gz"
                    },
                    "id": "#wget.cwl/out_wget_gz"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.txt"
                    },
                    "id": "#wget.cwl/out_wget_txt"
                }
            ],
            "id": "#wget.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
